ServerEvents.recipes(event => {
    event.shaped('kubejs:mysterious_cog_unfinished', [
        'ABA',
        'BCB',
        'ABA'
    ], {
        A: 'create:iron_sheet',
        B: '#minecraft:planks',
        C: 'create:cogwheel'
    }).id('kubejs:unfin_cog')
    event.recipes.create.sequenced_assembly(
        [
            Item.of('kubejs:mysterious_cog').withChance(100)
        ],
        'kubejs:mysterious_cog_unfinished',
        [
            event.recipes.create.pressing(
                'kubejs:mysterious_cog_unfinished', 
                'kubejs:mysterious_cog_unfinished'
            ),
            event.recipes.create.deploying('kubejs:mysterious_cog_unfinished', [
                'kubejs:mysterious_cog_unfinished',
                'mekanism:ingot_uranium'
            ]),
            event.recipes.create.pressing(
                'kubejs:mysterious_cog_unfinished', 
                'kubejs:mysterious_cog_unfinished'
            ),
        ]
    )
    .transitionalItem('kubejs:mysterious_cog_unfinished')
    .loops(1)
    .id('kubejs:cog_assembly')
})